summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorNalin Dahyabhai <nalin.dahyabhai@pobox.com>2009-05-07 15:56:22 -0400
committerNalin Dahyabhai <nalin.dahyabhai@pobox.com>2009-05-07 15:56:22 -0400
commitebd466d34ccd21f4d47246d2f831c00cf4bde9d4 (patch)
tree8934092e5ff564f849486c657214442dcfb956f2 /tests
parente913a872a8ff4e355c6faa33344fdd4033869522 (diff)
downloadslapi-nis-ebd466d34ccd21f4d47246d2f831c00cf4bde9d4.tar.gz
slapi-nis-ebd466d34ccd21f4d47246d2f831c00cf4bde9d4.tar.xz
slapi-nis-ebd466d34ccd21f4d47246d2f831c00cf4bde9d4.zip
- run edit-dse-config.sh from the subdirectory of the test
Diffstat (limited to 'tests')
-rwxr-xr-xtests/run-tests.sh1
-rw-r--r--tests/slapd.sh.in6
2 files changed, 4 insertions, 3 deletions
diff --git a/tests/run-tests.sh b/tests/run-tests.sh
index 903530a..2478c19 100755
--- a/tests/run-tests.sh
+++ b/tests/run-tests.sh
@@ -9,6 +9,7 @@ showdiff()
}
for subdir in "$@" ; do
pushd $subdir > /dev/null
+ TEST="$subdir"
precmd=
if test -x edit-dse-config.sh ; then
precmd="$TESTDIR/$subdir/edit-dse-config.sh $BTESTDIR/config/dse.ldif"
diff --git a/tests/slapd.sh.in b/tests/slapd.sh.in
index 9d11ece..c68740d 100644
--- a/tests/slapd.sh.in
+++ b/tests/slapd.sh.in
@@ -64,9 +64,9 @@ startslapd() {
if test -n "$1" && test -s "$1" ; then
cat "$1" >> $BTESTDIR/config/dse.ldif
fi
- if test -x $TESTDIR/$subdir/edit-dse-config.sh ; then
- if ! $TESTDIR/$subdir/edit-dse-config.sh $BTESTDIR/config/dse.ldif ; then
- echo ERROR: failed edit dse.ldif before starting server.
+ if test -x $TESTDIR/$TEST/edit-dse-config.sh ; then
+ if ! $TESTDIR/$TEST/edit-dse-config.sh $BTESTDIR/config/dse.ldif ; then
+ echo ERROR: failed to edit dse.ldif before starting server.
exit 1
fi
fi